[seeded-in-ubuntu] should be clearer that it takes a source package

Bug #1029155 reported by Scott Kitterman on 2012-07-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-dev-tools (Ubuntu)
Low
Unassigned

Bug Description

I had this happen twice today:

$ seeded-in-ubuntu python-rpy
seeded-in-ubuntu: Error: The package 'python-rpy' does not exist in the Ubuntu primary archive in quantal, quantal-security, quantal-updates or quantal-proposed

But yes. Yes it does:

$ rmadison python-rpy|grep quantal
python-rpy | 1.0.3-21 | quantal/universe | amd64, armel, armhf, i386, powerpc

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: ubuntu-dev-tools 0.141
ProcVersionSignature: Ubuntu 3.2.0-27.43-generic-pae 3.2.21
Uname: Linux 3.2.0-27-generic-pae i686
ApportVersion: 2.0.1-0ubuntu11
Architecture: i386
Date: Wed Jul 25 17:56:10 2012
EcryptfsInUse: Yes
InstallationMedia: Kubuntu 11.04 "Natty Narwhal" - Beta i386 (20110330)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=
 TERM=xterm
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: ubuntu-dev-tools
UpgradeStatus: Upgraded to precise on 2012-04-09 (107 days ago)

Scott Kitterman (kitterman) wrote :
Stefano Rivera (stefanor) wrote :

It should say "source package"

summary: - [seeded-in-ubuntu] not working on precise
+ [seeded-in-ubuntu] should be clearer that it takes a source package
Benjamin Drung (bdrung) wrote :

Why not allowing binary package checks?

On Thu, Jul 26, 2012 at 02:40:29PM -0000, Benjamin Drung wrote:
> Why not allowing binary package checks?

It does, with -b. It makes sense to operate primarily on source packges
though, since that is what you upload.

I'm undecided as to whether falling back to binaries in case the
supplied package name is not found is a good idea.

--
Iain Lane [ <email address hidden> ]
Debian Developer [ <email address hidden> ]
Ubuntu Developer [ <email address hidden> ]

Scott Kitterman (kitterman) wrote :

On Thursday, July 26, 2012 02:40:29 PM you wrote:
> Why not allowing binary package checks?

Agreed.

Benjamin Drung (bdrung) wrote :

$ seeded-in-ubuntu python-rpy
seeded-in-ubuntu: Error: The source package 'python-rpy' does not exist in the Ubuntu primary archive in quantal, quantal-security, quantal-updates or quantal-proposed

Changed in ubuntu-dev-tools (Ubuntu):
importance: Undecided → Low
status: New → Fix Committed
Scott Kitterman (kitterman) wrote :

I disagree with this solution. We don't put sources in seeds. We put binaries.

I ought to be able to feed it a binary package and it should tell me if any binaries from the source that builds that binary are seeded. It's not that hard to to and it saves the developer from having to either retry if they know the source package or go look it up if they don't.

Benjamin Drung (bdrung) wrote :

What's the use case for the requested behavior?

Scott Kitterman (kitterman) wrote :

The use case is when I'm thinking about if something is on an image, the
question is about a particular binary. The broader question I'm usually
trying to answer is "can I upload this now" which translates to "are any of
the binaries from this source seeded".

Using source packages assume the developer has already done the mental
translation from a binary to a source and they don't always (as my bug report
indicates).

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-dev-tools - 0.144

---------------
ubuntu-dev-tools (0.144) experimental; urgency=low

  [ Stefano Rivera ]
  * Upload to experimental, due to the freeze
  * submittodebian:
    - Use dpkg-buildpackage instead of debuild. It really doesn't need to run
      lintian twice.
    - Use --include instead of --attach when not using reportbug's internal
      MUA.
  * submittodebian, sponsor-patch:
    - Pass --builder=dpkg-buildpackage to bzr bd, in case the user has
      configured a custom builder that doesn't do source builds (LP: #1019817)
  * seeded-in-ubuntu Inform the user when we couldn't determine binary
    packages built by a source package, as it most recently FTBFS.
  * requestbackport:
    - Avoid duplicate Reverse-Build-Deps when sources build binaries of the
      same name.
    - Explain that backports aren't to fix bugs.
  * sponsor-patch: Don't fall over bugs targetted at the development release
    (LP: #936014)
  * ubuntutools.question: Catch EOF and SIGINT on all input and bail out.
    (LP: #1037488)
  * pull-lp-source: Catch errors parsing JSON we got from DDE (LP: #1059848)
  * syncpackage, requestsync: Check the Release pocket if we can't find an
    Ubuntu package in the requested pocket. (LP: #1069867)

  [ Benjamin Drung ]
  * seeded-in-ubuntu: State in error message that it takes a source package.
    (LP: #1029155)
  * sponsor-patch: Fix crash if Debian patch contains a slash.

  [ Colin Watson ]
  * syncpackage: Default to <current_series>-proposed.

 -- Stefano Rivera <email address hidden> Mon, 29 Oct 2012 09:02:29 +0100

Changed in ubuntu-dev-tools (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers